import request from '@/utils/request'

// 查询业务账户列表
export function listSapAccount(query) {
  return request({
    url: '/sapAccount/sapAccount/list',
    method: 'get',
    params: query
  })
}

// 查询业务账户详细
export function getSapAccount(id) {
  return request({
    url: '/sapAccount/sapAccount/' + id,
    method: 'get'
  })
}

// 新增业务账户
export function addSapAccount(data) {
  return request({
    url: '/sapAccount/sapAccount',
    method: 'post',
    data: data
  })
}

// 修改业务账户
export function updateSapAccount(data) {
  return request({
    url: '/sapAccount/sapAccount',
    method: 'put',
    data: data
  })
}

// 删除业务账户
export function delSapAccount(id) {
  return request({
    url: '/sapAccount/sapAccount/' + id,
    method: 'delete'
  })
}
